# class ContextEvent

#### package js.html.webgl

#### extends Event

Available on HTML5

The WebContextEvent interface is part of the WebGL API and is an interface for an event that is generated in response to a status change to the WebGL rendering context.

Documentation WebGLContextEvent by Mozilla Contributors, licensed under CC-BY-SA 2.5.

See:

https://developer.mozilla.org/en-US/docs/Web/API/WebGLContextEvent

### Constructor

###

`new (type:String, ?eventInit:ContextEventInit)`

Throws:

`null` | DOMError

### Variables

###

`read onlystatusMessage:String`

A read-only property containing additional information about the event.

### Inherited Variables

#### Defined by Event

###

`read onlybubbles:Bool`

A Boolean indicating whether the event bubbles up through the DOM or not.

###

`read onlycancelable:Bool`

A Boolean indicating whether the event is cancelable.

###

`read onlycurrentTarget:EventTarget`

A reference to the currently registered target for the event. This is the object to which the event is currently slated to be sent to; it's possible this has been changed along the way through retargeting.

###

`read onlydefaultPrevented:Bool`

Indicates whether or not `event.preventDefault()` has been called on the event.

###

`read onlyeventPhase:Int`

Indicates which phase of the event flow is being processed.

###

`read onlyexplicitOriginalTarget:EventTarget`

The explicit original target of the event (Mozilla-specific).

###

`read onlyisTrusted:Bool`

Indicates whether or not the event was initiated by the browser (after a user click for instance) or by a script (using an event creation method, like event.initEvent)

###

`read onlyoriginalTarget:EventTarget`

The original target of the event, before any retargetings (Mozilla-specific).

###

`read onlytarget:EventTarget`

A reference to the target to which the event was originally dispatched.

###

`read onlytimeStamp:Float`

The time at which the event was created, in milliseconds. By specification, this value is time since epoch, but in reality browsers' definitions vary; in addition, work is underway to change this to be a `DOMHighResTimeStamp` instead.

###

`read onlytype:String`

The name of the event (case-insensitive).

### Inherited Methods

#### Defined by Event

###

`getPreventDefault ():Bool`

Non-standard. Returns the value of `Event.defaultPrevented`. Use `Event.defaultPrevented` instead.

###

`initEvent (type:String, bubbles:Bool, cancelable:Bool):Void`

Initializes the value of an Event created. If the event has already being dispatched, this method does nothing.

###

`preventDefault ():Void`

Cancels the event (if it is cancelable).

###

`stopImmediatePropagation ():Void`

For this particular event, no other listener will be called. Neither those attached on the same element, nor those attached on elements which will be traversed later (in capture phase, for instance)

###

`stopPropagation ():Void`

Stops the propagation of events further along in the DOM.